package javax.net;

import java.net.InetAddress;
import java.io.IOException;
import java.net.ServerSocket;

class DefaultServerSocketFactory extends ServerSocketFactory
{
    DefaultServerSocketFactory() {
    }
    
    @Override
    public ServerSocket createServerSocket() throws IOException {
        return new ServerSocket();
    }
    
    @Override
    public ServerSocket createServerSocket(int port) throws IOException {
        return new ServerSocket(port);
    }
    
    @Override
    public ServerSocket createServerSocket(int port, int backlog) throws IOException {
        return new ServerSocket(port, backlog);
    }
    
    @Override
    public ServerSocket createServerSocket(int port, int backlog, InetAddress bindAddr) throws IOException {
        return new ServerSocket(port, backlog, bindAddr);
    }
}
